RailsRbs.setup do |config|
  # Configure RailsRBS here
  config.owned_by = :<%= options.owned_by %>
  config.owner_access = :<%= "current_#{options.owned_by}" %>
  config.render_views = true
  config.request_id_field = :id
  config.parent_controller = 'ApplicationController'
  config.rule_params_root = :rule
  config.rule_set_params_root = :rule_set
  config.rule_set_view_dir = 'rule_sets'
  config.rule_view_dir = 'rules'
=begin
  * Specialized rule fields *
  The following list is used to support strong parameters for rules that leverage single table inheritance
  - The default strong parameters method uses this set of allowed parameters
  - This list can be expanded or specialized for different rule types
  - When a specialized rule requires a new table column, add that field to this list to ensure access at the
    controller level
  - Specialized controllers can utilize or ignore this list of fields
  - Some fields are required by the rule system and should always be allowed, these will never be listed in the
    rule_fields list and can be accessed at RailsRbs.base_rule_fields
    - Fields always included in default controllers - [:type, :enforced_type, :enforced_value, :observed_field,
      :<owned_by>_id]
  - The <owned_by>_id field is always added in the default strong parameters method
=end
  config.rule_fields = %i[value start_date end_date longitude latitude]
end
